--- old/usr/src/uts/sun4/os/memnode.c	2014-07-28 07:43:56.415641349 -0400
+++ new/usr/src/uts/sun4/os/memnode.c	2014-07-28 07:43:56.422381350 -0400
@@ -83,7 +83,7 @@
 	mnode = PFN_2_MEM_NODE(start);
 	ASSERT(mnode < max_mem_nodes);
 
-	if (cas32((uint32_t *)&mem_node_config[mnode].exists, 0, 1)) {
+	if (atomic_cas_32((uint32_t *)&mem_node_config[mnode].exists, 0, 1)) {
 		/*
 		 * Add slice to existing node.
 		 */
@@ -98,7 +98,8 @@
 		do {
 			oldmask = memnodes_mask;
 			newmask = memnodes_mask | (1ull << mnode);
-		} while (cas64(&memnodes_mask, oldmask, newmask) != oldmask);
+		} while (atomic_cas_64(&memnodes_mask, oldmask, newmask) !=
+			 oldmask);
 	}
 	/*
 	 * Let the common lgrp framework know about the new memory
@@ -158,7 +159,7 @@
 		do {
 			omask = memnodes_mask;
 			nmask = omask & ~(1ull << mnode);
-		} while (cas64(&memnodes_mask, omask, nmask) != omask);
+		} while (atomic_cas_64(&memnodes_mask, omask, nmask) != omask);
 		atomic_add_16(&num_memnodes, -1);
 		mem_node_config[mnode].exists = 0;
 	}
@@ -220,7 +221,7 @@
 	 * a first time memnode creation race.
 	 */
 	for (mnode = 0; mnode < max_mem_nodes; mnode++)
-		if (cas32((uint32_t *)&mem_node_config[mnode].exists,
+		if (atomic_cas_32((uint32_t *)&mem_node_config[mnode].exists,
 		    0, 1) == 0)
 			break;
 
@@ -233,7 +234,7 @@
 	do {
 		oldmask = memnodes_mask;
 		newmask = memnodes_mask | (1ull << mnode);
-	} while (cas64(&memnodes_mask, oldmask, newmask) != oldmask);
+	} while (atomic_cas_64(&memnodes_mask, oldmask, newmask) != oldmask);
 
 	return (mnode);
 }
